Package ru.nilsoft.tm

# Class TMCommand.result_status_flags

java.lang.Object
ru.nilsoft.tm.TMCommand.result_status_flags

Enclosing class:
  `TMCommand`

public static final class TMCommand.result_status_flags extends Object
Флаги реквизита «результат проверки сведений о товаре» (тег 2106) [ФФД 1.2 и выше].

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `AUTONOMOUS`
  «0» – результат проверки КП КМ и статуса товара сформирован ККТ, работающей в режиме передачи данных, «1» – результат проверки КП КМ сформирован ККТ, работающей в автономном режиме.
  `static final byte`
  `CHECKED`
  «0» – код маркировки не был проверен ФН и (или) ОИСМ, «1» – код маркировки проверен.
  `static final byte`
  `PLANNED_OISM`
  «0» – от ОИСМ получены сведения, что планируемый статус товара некорректен или сведения о статусе товара от ОИСМ не получены, «1» – от ОИСМ получены сведения, что планируемый статус товара корректен.
  `static final byte`
  `POSITIVE`
  «0» – результат проверки КП КМ отрицательный или код маркировки не был проверен, «1» – результат проверки КП КМ положительный.
  `static final byte`
  `STATUS_OISM`
  «0» – сведения о статусе товара от ОИСМ не получены, «1» – проверка статуса ОИСМ выполнена.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `result_status_flags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CHECKED

    public static final byte CHECKED
    «0» – код маркировки не был проверен ФН и (или) ОИСМ, «1» – код маркировки проверен.
    See Also:
      - Constant Field Values

  - ### POSITIVE

    public static final byte POSITIVE
    «0» – результат проверки КП КМ отрицательный или код маркировки не был проверен, «1» – результат проверки КП КМ положительный.
    See Also:
      - Constant Field Values

  - ### STATUS_OISM

    public static final byte STATUS_OISM
    «0» – сведения о статусе товара от ОИСМ не получены, «1» – проверка статуса ОИСМ выполнена.
    See Also:
      - Constant Field Values

  - ### PLANNED_OISM

    public static final byte PLANNED_OISM
    «0» – от ОИСМ получены сведения, что планируемый статус товара некорректен или сведения о статусе товара от ОИСМ не получены, «1» – от ОИСМ получены сведения, что планируемый статус товара корректен.
    See Also:
      - Constant Field Values

  - ### AUTONOMOUS

    public static final byte AUTONOMOUS
    «0» – результат проверки КП КМ и статуса товара сформирован ККТ, работающей в режиме передачи данных, «1» – результат проверки КП КМ сформирован ККТ, работающей в автономном режиме.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### result_status_flags

    public result_status_flags()